# https://github.com/matze/pkgconfig/archive/v1.3.1.tar.gz
%global module pkgconfig

Name:           python-%{module}
Version:        1.3.1
Release:        %mkrel 1
Summary:        Python module to interface with the pkg-config command line tool

License:        MIT
Group:          Development/Python
URL:            https://github.com/matze/pkgconfig
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc LICENSE README.rst
%{python2_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Tue Jul 10 2018 adrianomorselli <adrianomorselli> 1.3.1-1uplos2018
- initial build
